<?php
/*
SVG to dojox.gfx Parser
Copyright (C) 2009  Aaron Lindsay <aclindsay@aclindsay.com>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

require_once("objects/Element.php");

require_once("objects/Transform.php");

class Gradient extends Element{
	private $link;
	private $stops;
	
	public function __construct() {
		parent::__construct();
		$this->stops = array();
	}
	
	public function setLink($link) {
		$this->link = trim($link, " \t\n\r#");
	}
	public function getLink() {
		return isset($this->link)?$this->link:null;
	}
	
	public function addStop($stop) {
		$this->stops[] = $stop;
	}
	public function setStops($stops) {
		$this->stops = $stops;
	}
	public function getStops() {
		return $this->stops;
	}
	
	public function isValid() {
		return count($this->stops) > 0;
	}
}
?>
