<?php
/*
SVG to dojox.gfx Parser
Copyright (C) 2009  Aaron Lindsay <aclindsay@aclindsay.com>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

class GradientStop extends Element{
	private $offset;
	
	public function __construct() {
		parent::__construct();
		$this->offset = 0;
	}
	
	public function setColor($color) {
		$this->setStyle("stop-color", $color);
	}
	public function getColor() {
		$color = $this->getStyle("stop-color");
		if ($color == null)
			return "#000000";
		else
			return $color;
	}
	
	public function setOpacity($opacity) {
		$this->setStyle("stop-opacity", $opacity);
	}
	public function getOpacity() {
		$opacity = $this->getStyle("stop-opacity");
		if ($opacity == null)
			return 1;
		else
			return $opacity;
	}
	
	public function setOffset($offset) {
		$this->offset = $offset;
	}
	public function getOffset() {
		return isset($this->offset)?$this->offset:0;
	}
}
?>
