<?php
/*
SVG to dojox.gfx Parser
Copyright (C) 2009  Aaron Lindsay <aclindsay@aclindsay.com>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

require_once("objects/Element.php");

class Rectangle extends Element {
	private $x;
	private $y;
	private $height;
	private $width;
	private $rx;
	private $ry;

	public function __construct() {
		$this->x = 0;
		$this->y = 0;
		$this->height = 0;
		$this->width = 0;
		$this->rx = null;
		$this->ry = null;
	}

	public function getX() { return $this->x; }
	public function getY() { return $this->y; }
	public function getHeight() { return $this->height; }
	public function getWidth() { return $this->width; }
	public function getRx() { return ($this->rx != null)?$this->rx:0; }
	public function getRy() { return ($this->ry != null)?$this->ry:0; }
	public function getR() {
		if ($this->rx != null && $this->ry != null)
			return ($this->rx + $this->ry) / 2;
		else if ($this->rx != null)
			return $this->rx;
		else if ($this->ry != null)
			return $this->ry;
		else
			return 0;
	}
	
	public function setX($x) { $this->x = $x; }
	public function setY($x) { $this->y = $x; }
	public function setHeight($x) { $this->height = $x; }
	public function setWidth($x) { $this->width = $x; }
	public function setRx($x) { $this->rx = $x; }
	public function setRy($x) { $this->ry = $x; }
	public function setR($r) { $this->setRx($r); $this->setRy($r); }

}
?>
