<?php
/*
SVG to dojox.gfx Parser
Copyright (C) 2009  Aaron Lindsay <aclindsay@aclindsay.com>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

class Text extends Element {
	private $x;
	private $y;
	private $text;

	public function __construct() {
		$this->x = 0;
		$this->y = 0;
		$this->text = "";
	}

	public function getX() { return $this->x; }
	public function getY() { return $this->y; }
	public function getText() { return $this->text; }
	public function setX($x) { $this->x = $x; }
	public function setY($x) { $this->y = $x; }
	public function setText($x) { $this->text = $x; }

	public function setTextAnchor($anchor) {
		$this->setStyle("text-anchor", $anchor);
	}
	public function getTextAnchor() {
		$anchor = $this->getStyle("text-anchor");
		if ($anchor == null)
			return "start";
		else
			return $anchor;
	}

	public function setTextDecoration($decoration) {
		$this->setStyle("text-decoration", $decoration);
	}
	public function getTextDecoration() {
		$decoration = $this->getStyle("text-decoration");
		if ($decoration == null)
			return "none";
		else
			return $decoration;
	}
}
?>
